- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Class List
- Class Members

# axiom_xpath_expression Struct Reference
[api]

`#include <axiom_xpath.h>`

List of all members.

## Public Attributes
axis2_char_t * | expr_str
int | expr_len
int | expr_ptr
axutil_array_list_t * | operations
int | start

## Detailed Description

XPath expression

## Member Data Documentation

axis2_char_t* axiom_xpath_expression::expr_str

XPath expression as a string

int axiom_xpath_expression::expr_len

Length of the expression

int axiom_xpath_expression::expr_ptr

A cursor pointing to the position currently being parsed

axutil_array_list_t* axiom_xpath_expression::operations

Parsed expression in an array list

int axiom_xpath_expression::start

A pointer to the start operation in operations

The documentation for this struct was generated from the following file:

- axiom_xpath.h